Loading...
Searching...
No Matches
libopenmpt_ext.hpp File Reference
`#include "libopenmpt_config.h"`
`#include "libopenmpt.hpp"`

Go to the source code of this file.

## Classes

class | openmpt::module_ext
class | openmpt::ext::pattern_vis
class | openmpt::ext::interactive
class | openmpt::ext::interactive2
class | openmpt::ext::interactive3

## Namespaces

namespace | openmpt
namespace | openmpt::ext

## Macros

#define | LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE(name)
#define | LIBOPENMPT_EXT_CXX_INTERFACE(name)
#define | LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE2
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE3

## Variables

static const char | openmpt::ext::pattern_vis_id [] = # pattern_vis
static const char | openmpt::ext::interactive_id [] = # interactive
static const char | openmpt::ext::interactive2_id [] = # interactive2
static const char | openmpt::ext::interactive3_id [] = # interactive3